package com.biganto.visual.roompark.presentation.screen.feeds

import android.view.View
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.base.RoomParkApplication
import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.conductor.BigantoBaseController
import timber.log.Timber
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

class FeedsScreenController  :
    BigantoBaseController<FeedsScreenViewState
        , FeedsScreen
        , FeedsScreenPresenter>()
    , FeedsScreen {

    override fun injectDependencies() {
        getComponent()
    }

    @Inject
    override lateinit var injectedPresenter: FeedsScreenPresenter


    override fun onViewBound(v: View) {

    }

    override fun render(viewState: FeedsScreenViewState) {
        super.render(viewState)
        Timber.d("Render state $viewState")
        when(viewState){
            is FeedsScreenViewState.Idle -> render(viewState)
        }
    }

    private fun render(viewState: FeedsScreenViewState.Idle){

    }

    private fun getComponent() = DaggerFeedsScreenComponent.factory()
        .create(RoomParkApplication.component,activity as RoomParkMainActivity)
        .inject(this)

    override fun getLayoutId(): Int = R.layout.feeds_screen


}